Runtime

## org.eclipse.gmf.runtime.emf.type.core
Class NullElementType

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.ElementType
          org.eclipse.gmf.runtime.emf.type.core.MetamodelType
              org.eclipse.gmf.runtime.emf.type.core.NullElementType

All Implemented Interfaces:
  IAdaptable, IElementType, IMetamodelType

public class NullElementType
extends MetamodelType

Singleton element type that has no `EClass`. Clients can specialized this element type if they wish to declare types that do not have a matching `EClass`.

Field Summary
`static java.lang.String` `ID` The ID.

Method Summary
`static NullElementType` `getInstance()` Gets the singleton instance.

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.MetamodelType
`getAllSuperTypes, getEditCommand, getEditHelper, toString`

Methods inherited from class org.eclipse.gmf.runtime.emf.type.core.ElementType
`canEdit, getAdapter, getDisplayName, getEClass, getIconURL, getId, setAllSupertypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.emf.type.core.IElementType
`canEdit, getDisplayName, getEClass, getIconURL, getId`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### ID

    public static final java.lang.String ID

  The ID.

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static NullElementType getInstance()

  Gets the singleton instance.

  Returns:
    the singleton instance

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.